<script lang="ts">
  import { onMount } from 'svelte';
  import { initGoogleClients } from '$lib/google';
	import '../app.css';

	let { children } = $props();

  onMount(() => {
    initGoogleClients(() => {
      console.log('Google API client initialized');
    });
  });
</script>

{@render children()}
